<template>
    <div class="d-block">
    <div class="d-md-inline-block padded" v-for="prod in data" @click="goTo(prod.id)">
        <p><span class="card-title">{{ prod.name }}</span></p>
        <p><span class="text-info">Base price:</span> {{ prod.price }}</p>
        <p><span class="text-info">VAT quota:</span> {{ prod.price_diff }}</p>
        <p><span class="text-info">Total price:</span> {{ prod.price_tax }}</p>
    </div>
    </div>
</template>

<script>
    export default {
        name: "ProductsList",
        props: {
            data: {
                type: Array,
                required: true
            }
        },
        methods: {
            goTo(id) {
                window.location.href = '/products/' + id
            }
        }
    }
</script>

<style scoped>
.padded {
    padding-left: 25px;
    cursor: pointer;
}
</style>